/*
 *                           0BSD 
 * 
 *                    BSD Zero Clause License
 * 
 *  Copyright (c) 2021 Hermann Meyer
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted.

 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
 * REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
 * INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 *
 */



#include "XUiDesigner.h"


#pragma once

#ifndef XUIIMAGELOADER_H_
#define XUIIMAGELOADER_H_

#ifdef __cplusplus
extern "C" {
#endif

Widget_t *add_image_load_button(Widget_t *parent, int x, int y, int width, int height,
                           const char *path, const char *filter);

void image_load_response(void *w_, void* user_data);

void unload_background_image(void *w_, void* user_data);

void controller_image_load_response(void *w_, void* user_data);

void pop_menu_response(void *w_, void* item_, void* user_data);

void load_single_controller_image (XUiDesigner *designer, const char* filename);

#ifdef __cplusplus
}
#endif

#endif //XUIIMAGELOADER_H_
